Gda.MetaStruct – Gda-6.0 Reference Manual

# MetaStruct

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_meta_struct_get_type ()" ) ]
public class MetaStruct : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public uint features { get; construct; }
- public MetaStore meta_store { owned get; construct; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- protected MetaStruct ()

### Methods:

- public unowned MetaDbObject? complement (MetaDbObjectType type, Value? catalog, Value? schema, Value name) throws Error
- public bool complement_all () throws Error
- public bool complement_default () throws Error
- public bool complement_depend (MetaDbObject dbo) throws Error
- public bool complement_schema (Value? catalog, Value? schema) throws Error
- public string? dump_as_graph (MetaGraphInfo info) throws Error
- public SList<unowned MetaDbObject?>? get_all_db_objects ()
- public unowned MetaDbObject? get_db_object (Value? catalog, Value? schema, Value name)
- public unowned MetaTableColumn? get_table_column (MetaTable table, Value col_name)
- public bool load_from_xml_file (string? catalog, string? schema, string xml_spec_file) throws Error
- public bool sort_db_objects (MetaSortType sort_type) throws Error

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref